// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class that encapsule all the information related to a
// date .

#ifndef UTIL_CALENDAR_H__
#define UTIL_CALENDAR_H__

#include "time.h"

#include "../global.h"
#include "string.h"

BEGIN_TEG_NAMESPACE();

class Calendar {
 public:
  // Calendar constructor and destructor.
  Calendar();
  ~Calendar();

  // Methods
  std::tstring GetYear();				// Method to get the year
  std::tstring GetMonth();			// Method to get the month
  std::tstring GetDayOfWeak();		// Method to get the day of the weak 
  std::tstring GetDayOfMonth();		// Method to get the day of the month
  std::tstring GetCurrentTime_();		// Method to get the current time	
  std::tstring GetCurrentDate();		// Method to get the current date

 private:
  // Calendar atributes.
  struct tm* m_time; 
};

END_TEG_NAMESPACE();

#endif  // UTIL_CALENDAR_H__
